<?php
# ---------------------------------------------------------------------
# truc is a tool for requirement and use case tracking
# Copyright (C) 2006 ASDIS - http://sf.net/projects/truc
#
# (rth) Initial truc version based on rth
#       Copyright (C) 2005 George Holbrook - rth@lists.sourceforge.net
#
# This program is distributed under the terms and conditions of the GPL
# See the README and LICENSE files for details
#----------------------------------------------------------------------

include"./api/include_api.php";
auth_authenticate_user();

$page           	 	= basename(__FILE__);
$form_name				= 'release_name';
$action_page    	 	= 'release_edit_action.php';
$build_edit_page		= 'release_edit_page.php';
$testset_page			= 'testset_page.php';
$delete_page 			= 'delete_page.php';
$s_project_properties   = session_get_project_properties();
$project_name           = $s_project_properties['project_name'];
$project_id 			= $s_project_properties['project_id'];
$row_style              = '';

$s_release_properties	= session_set_properties( "release", $_GET );
$release_id 			= $s_release_properties['release_id'];
$release_name			= admin_get_release_name($release_id);

html_window_title();
html_print_body( $form_name, 'release_edit_name_required');
html_page_title($project_name ." - ". lang_get('release_edit_page') );
html_page_header( $db, $project_name );
html_print_menu();

html_release_map( Array("release_link", lang_get("edit") ) );

error_report_check( $_GET );

$release_details = admin_get_all_release_details_by_project( $project_id, $release_id );

extract( $release_details[0], EXTR_PREFIX_ALL, 'v' );

$release_name			= ${'v_' . RELEASE_NAME};
$release_date_received	= ${'v_' . RELEASE_DATE_RECEIVED};
$release_description	= ${'v_' . RELEASE_DESCRIPTION};

print"<div align=center>\n";

print"<form method=post name=$form_name action=$action_page>\n";
print"<input type=hidden name=release_id value='$release_id'>\n";

print"<span class='required'>*</span> <span class='print'>" . lang_get('must_complete_field') . "</span>\n";

print"<table class=width60>\n";
print"<tr>\n";
print"<td>\n";
print"<table class=inner>\n";

# FORM TITLE
print"<tr>\n";
print"<td class='form-header-l' colspan='2'>". lang_get('edit_release') ." - $release_name</td>\n";
print"</tr>\n";

# RELEASE NAME
print"<tr>\n";
print"<td class=right>". lang_get('release_name') ." <span class='required'>*</span></td>\n";
print"<td class=left>\n";
print"<input type='text' maxlength='20' name='release_edit_name_required' size=30 value='".
					session_validate_form_get_field('release_edit_name_required', $release_name).
					"'>\n";
print"</td>\n";
print"</tr>\n";

# RELEASE DATE
print"<tr>\n";
print"<td class=right>". lang_get('date_received') ."</td>\n";
print"<td class=left>\n";
print"<input type='text' maxlength='19' name='release_edit_date' size=30 value='".
		session_validate_form_get_field('release_edit_date', $release_date_received).
		"'>\n";
print"</td>\n";
print"</tr>\n";

# DESCRIPTION
print"<tr>\n";
print"<td class=right>". lang_get('description') ."</td>\n";
print"<td class=left>\n";
print"<textarea name='release_edit_description' rows=5 cols=30 >".
		session_validate_form_get_field('release_edit_description', $release_description).
		"</textarea>\n";
print"</td>\n";
print"</tr>\n";

# SUBMIT BUTTON
print"<tr>\n";
print"<td colspan='2' class=center><input type='submit' value='". lang_get('submit_btn') ."'></td>\n";
print"</tr>\n";
print"</table>\n";

print"</td>\n";
print"</tr>\n";
print"</table>\n";

print"</form>\n";

print"</div>\n";

html_print_footer();
?>